Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Plugin Development Environment (PDE) » Unable to install plugin(feature.group dependency problem)
Unable to install plugin [message #509256] Thu, 21 January 2010 14:12
No real name is currently offline No real name
Messages: 6
Registered: October 2009
Junior Member
Hello!

I created my plugin and want to put it in Eclipse repository on my web site.

I created:
- Plugin
- Feature
- Update site

After compiling all this things, I put on my site files:
- features/PROJECT_FEATURE_1.0.0.jar
- plugins/PROJECT_PLUGIN_1.0.0.jar
- artifacts.jar
- content.jar
- site.xml

When I try to install plugin in Eclipse 3.5 I see this error:

Cannot complete the install because one or more required items could not be found.
  Missing requirement: 1264100689698 0.0.0.1264100689698 requires 'PROJECT_FEATURE.feature.group [1.0.0]' but it could not be found


But generated XML node about feature group exists in content.jar/content.xml!

Please tell my, what am I doing wrong?
Previous Topic:Headless build fails generating an exception
Next Topic:Unable to install plugin
Goto Forum:
  


Current Time: Fri Jul 25 09:05:27 EDT 2014

Powered by FUDForum. Page generated in 0.01718 seconds